> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Item Quantity

> Updates the quantity of an individual Quote item.



## OpenAPI

````yaml /openapi/openapi_commerce.json put /commerce/quotes/{quoteId}/items/{quoteItemId}/quantity/{quantity}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_COMMERCE">
                <h2>COMMERCE</h2>
                <p>The Commerce API interacts with the commerce entities of your tenant, including shoppers's active shopping
                    carts, checkouts, submitted orders, wishlists, and returns as well as B2B quotes.</p>
                <p>Use the <strong>Carts</strong> resource to manage storefront shopping carts as shoppers add and remove items for purchase.
                    Each time a shopper's cart is modified, the Carts resource updates the estimated total with any
                    applicable
                    discounts.</p>
                <p>Use the <strong>Channels</strong> and <strong>Channel Groups</strong> resources to manage the channels a company uses to create logical
                    commercial business divisions based on region or types of sales, such as "US Online," "Amazon," or "EMEA
                    Retail."
                    All orders include a channel association that enables the company to perform financial reporting for
                    each defined channel.
                    Because channels are managed at the tenant level, you must associate all the tenant's sites with a
                    channel. Sites that do not
                    have a defined channel association cannot successfully submit orders.</p>
                <p>Use the <strong>Checkouts</strong> resource to track a shopper's order items and their intended destinations on sites that
                    have the multiple shipment feature enabled.</p>
                <p>Use the <strong>Orders</strong> resource to manage all components of order processing, payment, and order-level
                    fulfillment.</p>
                <p>Use the <strong>Quotes</strong> resource to support B2B functionality by managing order quotes, similar to wishlists.</p>
                <p>Use the <strong>Returns</strong> resource to manage returned items that were previously fufilled. Returns can include any
                    number of items associated with an original
                    order. Each return must either be associated with an original order or a product definition to represent
                    each returned item.</p>
                <p>Use the <strong>Wish Lists</strong> resource to manage the shopper wish lists of products associated with a customer
                    account. Although customer accounts are managed at the tenant
                    level, the system stores shopper wish lists at the site level. This enables the same customer to have
                    wish lists for each of a merchant's sites. The <strong>Wish List Items</strong>
                    resource allows you to manage the individual items in a wish list.</p>
            </div>
  title: Cart/Checkout/Quote
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/quotes/{quoteId}/items/{quoteItemId}/quantity/{quantity}:
    put:
      tags:
        - Quote
      summary: Update Item Quantity
      description: Updates the quantity of an individual Quote item.
      parameters:
        - description: Unique identifier of the quote.
          in: path
          name: quoteId
          required: true
          schema:
            type: string
        - description: Unique identifier of the quote item.
          in: path
          name: quoteItemId
          required: true
          schema:
            type: string
        - description: New quantity for the specified quote item.
          in: path
          name: quantity
          required: true
          schema:
            format: int32
            type: integer
        - description: ''
          in: query
          name: updateMode
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ItemQuantityUpdate'
        description: Update fields on the item.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Quote'
            text/json:
              schema:
                $ref: '#/components/schemas/Quote'
            text/plain:
              schema:
                $ref: '#/components/schemas/Quote'
          description: Success
components:
  schemas:
    ItemQuantityUpdate:
      properties:
        isOverRidePriceSalePrice:
          description: >-
            Indicate that External Price (TenantOverridePrice) is a Sale Price
            or List Price. And is used to calculate the line item discounts.
          nullable: true
          type: boolean
        tenantOverridePrice:
          description: An external price applied to the item.
          format: double
          nullable: true
          type: number
      type: object
    Quote:
      properties:
        adjustment:
          $ref: '#/components/schemas/Adjustment'
        auditHistory:
          description: User modified Audit History
          items:
            $ref: '#/components/schemas/AuditRecord'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        channelCode:
          description: Unique identifier of the channel for this item.
          nullable: true
          type: string
        comments:
          description: Comments on a quote
          items:
            $ref: '#/components/schemas/QuoteComment'
          nullable: true
          type: array
        couponCodes:
          description: Coupon codes associated with this Quote.
          items:
            type: string
          nullable: true
          type: array
        currencyCode:
          description: ISO Currency Code.
          nullable: true
          type: string
        customerAccountId:
          description: Unique identifier of the customer account.
          format: int32
          nullable: true
          type: integer
        customerInteractionType:
          description: "Determines the interaction type that a customer will use to create this object.\r\nValid values are: Website, Store, Call, Unknown"
          nullable: true
          type: string
        customerTaxId:
          description: >-
            The customers tax ID. If Customer Account ID exists in the system,
            will set this.
          nullable: true
          readOnly: true
          type: string
        data:
          description: Custom data for a given vendor set within the commerce process.
          nullable: true
          type: object
        dutyAmount:
          format: double
          nullable: true
          type: number
        dutyTotal:
          format: double
          type: number
        email:
          description: Email address for checkout
          nullable: true
          type: string
        expirationDate:
          description: "When the quote will no longer be active. That is, the quote is considered abandoned. \r\nDate in UTC Date/Time."
          format: date-time
          nullable: true
          type: string
        feeTotal:
          format: double
          type: number
        fulfillmentInfo:
          $ref: '#/components/schemas/FulfillmentInfo'
        handlingAdjustment:
          $ref: '#/components/schemas/Adjustment'
        handlingAmount:
          format: double
          nullable: true
          type: number
        handlingDiscounts:
          items:
            $ref: '#/components/schemas/CommerceRuntimeAppliedDiscount'
          nullable: true
          type: array
        handlingSubTotal:
          format: double
          type: number
        handlingTax:
          format: double
          nullable: true
          type: number
        handlingTaxTotal:
          format: double
          type: number
        handlingTotal:
          format: double
          type: number
        hasDraft:
          description: Does this quote have a draft
          type: boolean
        id:
          description: Unique identifier.
          nullable: true
          type: string
        invalidCoupons:
          description: A list of invalid coupons that were attempted on the quote
          items:
            $ref: '#/components/schemas/InvalidCoupon'
          nullable: true
          type: array
        ipAddress:
          description: IP address of the user placing the order. (User or customer?)
          nullable: true
          type: string
        isDraft:
          description: Is this quote a draft
          type: boolean
        isTaxExempt:
          description: Unique identifier of the customer account.
          nullable: true
          readOnly: true
          type: boolean
        itemLevelHandlingDiscountTotal:
          format: double
          type: number
        itemLevelProductDiscountTotal:
          description: The total value of item-level product discounts.
          format: double
          type: number
        itemLevelShippingDiscountTotal:
          format: double
          type: number
        itemTaxTotal:
          description: Total tax on products.
          format: double
          type: number
        itemTotal:
          description: The total product cost, accounting for discounts and tax.
          format: double
          type: number
        items:
          description: List of items in the Quote.
          items:
            $ref: '#/components/schemas/CommerceRuntimeOrderItem'
          nullable: true
          type: array
        locationCode:
          description: >-
            Identifies the location at which the order was placed if the order
            was placed externally.
          nullable: true
          type: string
        name:
          description: Name of the quote
          nullable: true
          type: string
        number:
          description: Auto generated number that is assigned to the quote when creation.
          format: int32
          nullable: true
          type: integer
        orderDiscounts:
          items:
            $ref: '#/components/schemas/CommerceRuntimeAppliedDiscount'
          nullable: true
          type: array
        orderLevelHandlingDiscountTotal:
          format: double
          type: number
        orderLevelProductDiscountTotal:
          description: The total value of order-level (group-level) product discounts.
          format: double
          type: number
        orderLevelShippingDiscountTotal:
          format: double
          type: number
        priceListCode:
          description: Pricelist code for the checkout
          nullable: true
          type: string
        shippingAdjustment:
          $ref: '#/components/schemas/Adjustment'
        shippingAmount:
          format: double
          type: number
        shippingDiscounts:
          items:
            $ref: '#/components/schemas/ShippingDiscount'
          nullable: true
          type: array
        shippingSubTotal:
          format: double
          type: number
        shippingTax:
          format: double
          nullable: true
          type: number
        shippingTaxTotal:
          format: double
          type: number
        shippingTotal:
          format: double
          type: number
        siteId:
          description: Unique identifier of the Site.
          format: int32
          type: integer
        sourceDevice:
          description: Source device of the user placing the order. (User or customer?)
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        subTotal:
          description: Subtotal before any coupon codes, taxes, fees, etc.
          format: double
          type: number
        submittedDate:
          description: When the customer placed (submitted) the Quote.
          format: date-time
          nullable: true
          type: string
        taxData:
          description: Storage for any additional/custom tax data.
          nullable: true
          type: object
        tenantId:
          description: Unique identifier of the Tenant.
          format: int32
          type: integer
        total:
          description: Final total
          format: double
          type: number
        userId:
          nullable: true
          type: string
        visitId:
          description: >-
            Identifies the Visit ID that was current when the order was placed
            or when the cart was last updated.
          nullable: true
          type: string
        webSessionId:
          description: >-
            Identifies the web session used to place the order or last update
            the cart.
          nullable: true
          type: string
      type: object
    Adjustment:
      properties:
        amount:
          format: double
          nullable: true
          type: number
        description:
          nullable: true
          type: string
        internalComment:
          nullable: true
          type: string
      type: object
    AuditRecord:
      description: >-
        Group a set of changes made by a single user into a single audit history
        entry.
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        changes:
          description: List of changes for this audit history entry.
          items:
            $ref: '#/components/schemas/AuditRecordChange'
          nullable: true
          type: array
        id:
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    QuoteComment:
      description: Quote Comments submitted by B2B buyer/seller.
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        id:
          description: Unique identifier of the comment. System-supplied and read-only.
          nullable: true
          type: string
        text:
          description: Text of the comment.
          nullable: true
          type: string
      type: object
    FulfillmentInfo:
      description: "Shipment information, which includes the shipping address, price, estimated delivery date, tracking information, method (for example, Ground, Overnight, or Pick-up), \r\ncarrier (for example, USPS, UPS, FedEx), and current status (for example, Not Shipped, In Transit, Delayed, or Returned To Sender)."
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        data:
          description: Custom data originated by the shipping service.
          nullable: true
          type: object
        fulfillmentContact:
          $ref: '#/components/schemas/CommerceRuntimeContact'
        isDestinationCommercial:
          description: Indicates that the destination is commercial
          nullable: true
          type: boolean
        shippingMethodCode:
          description: "Code that uniquely identifies the shipping method such as \"Ground,\" \"Overnight,\" or \"Digital.\"\r\nThe site's shipping settings lists the valid shipping methods specified for this site."
          nullable: true
          type: string
        shippingMethodName:
          description: Readable name of the shipping method
          nullable: true
          type: string
      type: object
    CommerceRuntimeAppliedDiscount:
      description: "Discount applied to the order, which is a negative number to be subtracted from the original price to get the final price. \r\nIf multiple discounts for the order exist, this is the value most advantageous to the shopper."
      properties:
        couponCode:
          description: >-
            Code of the coupon associated with the discount if a coupon code is
            required to get the discount.
          nullable: true
          type: string
        data:
          description: Stores any custom data sent from external discounts.
          nullable: true
          type: object
        discount:
          $ref: '#/components/schemas/CommerceRuntimeDiscount'
        excluded:
          description: >-
            Determines whether or not this discount is set up to be ignored by
            the pricing runtime.
          nullable: true
          type: boolean
        groupId:
          description: Group identifier for the discount.
          nullable: true
          type: string
        impact:
          description: >-
            Value of the discount applied. This is a negative number to be
            subtracted from the original price to get the final price.
          format: double
          nullable: true
          type: number
      type: object
    InvalidCoupon:
      description: >-
        Represents a coupon that is considered invalid by the Mozu pricing
        service.
      properties:
        couponCode:
          description: Code that identifies the coupon.
          nullable: true
          type: string
        createDate:
          description: Create date of the invalid coupon.
          format: date-time
          type: string
        discountId:
          format: int32
          type: integer
        reason:
          description: Description text of the reason.
          nullable: true
          type: string
        reasonCode:
          description: Code that identifies the reason the coupon was invalid.
          format: int32
          type: integer
      type: object
    CommerceRuntimeOrderItem:
      allOf:
        - $ref: '#/components/schemas/CommerceRuntimeCommerceItem'
      description: A single line item of an order.
      properties:
        deliveryWindow:
          $ref: '#/components/schemas/CommerceRuntimeDeliveryWindow'
        destinationId:
          description: >-
            The destination associated with this item when used with a
            multi-ship checkout.
          nullable: true
          type: string
        dutyAmount:
          description: Duty or Tariff for this item
          format: double
          nullable: true
          type: number
        expectedDeliveryDate:
          description: Expected Delivery Date of shipment
          format: date-time
          nullable: true
          type: string
        fulfillmentLocationCode:
          description: Location code from which to obtain this item
          nullable: true
          type: string
        fulfillmentMethod:
          description: Fulfillment method used to fulfill this item
          nullable: true
          type: string
        giftInfo:
          $ref: '#/components/schemas/GiftInfo'
        id:
          description: >-
            Unique identifier of the order line item. System-supplied and
            read-only.
          nullable: true
          type: string
        isReservationEnabled:
          description: Flag to indicate reserve inventory in cart
          type: boolean
        originalCartItemId:
          description: "Unique identifier of the cart item that is associated with this line item. \r\n(This is the original Cart Item ID expressed as a GUID.)"
          nullable: true
          type: string
        priceMode:
          description: >-
            Determines if the item is using external or internal(catalog)
            pricing
          nullable: true
          type: string
        returnRuleInfo:
          $ref: '#/components/schemas/ReturnRuleInfo'
        shippingMethodCode:
          description: Code that uniquely identifies the shipping method.
          nullable: true
          type: string
        shippingMethodName:
          description: Readable name of the shipping method.
          nullable: true
          type: string
        subscription:
          $ref: '#/components/schemas/SubscriptionInfo'
        suggestions:
          description: Routing suggestions
          items:
            $ref: '#/components/schemas/Suggestion'
          nullable: true
          type: array
      type: object
    ShippingDiscount:
      description: Value of the shipping discount.
      properties:
        discount:
          $ref: '#/components/schemas/CommerceRuntimeAppliedDiscount'
        methodCode:
          description: Unique identifier of the shipping method discount.
          nullable: true
          type: string
      type: object
    AuditRecordChange:
      description: Group all related audit changes into AuditRecordChange.
      properties:
        fields:
          description: List of actual changes.
          items:
            $ref: '#/components/schemas/AuditRecordChangeField'
          nullable: true
          type: array
        path:
          description: "This will applicable only to the nested objects (Collection) on the quote like Quote Items, Destination contacts.\r\nThis field will indicate which item in the collection got modified exactly.\r\nNull path means it's not nested on the quote object."
          nullable: true
          type: string
        type:
          description: Indicate type of change like Add, Update, Remove.
          nullable: true
          type: string
      type: object
    CommerceRuntimeContact:
      properties:
        address:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        companyOrOrganization:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        id:
          format: int32
          nullable: true
          type: integer
        lastNameOrSurname:
          nullable: true
          type: string
        middleNameOrInitial:
          nullable: true
          type: string
        phoneNumbers:
          $ref: '#/components/schemas/CommerceRuntimePhone'
      type: object
    CommerceRuntimeDiscount:
      description: "Discounts that apply to the order, if any. For example, when the \r\nsubtotal of the order exceeds a certain amount, or for free shipping."
      properties:
        expirationDate:
          description: >-
            Date when the discount expires. Default is null (no expiration
            date).
          format: date-time
          nullable: true
          type: string
        hasMultipleTargetProducts:
          description: "Indicates that the discount targets more than a product.  Used\r\nprimarily for BoGa discounts with multiple targets."
          type: boolean
        id:
          description: Unique identifier of the discount.
          format: int32
          type: integer
        itemIds:
          description: List of discounts for each order item.
          items:
            type: string
          nullable: true
          type: array
        name:
          description: Name of the discount in the language specified by LocaleCode.
          nullable: true
          type: string
      type: object
    CommerceRuntimeCommerceItem:
      description: Base class for cart and order items
      properties:
        adjustedLineItemSubtotal:
          description: Order Level taxable sub total
          format: double
          nullable: true
          type: number
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        autoAddDiscountId:
          description: Track the discoutid from which the item was auto added
          format: int32
          nullable: true
          type: integer
        childItemIds:
          description: List of Child Item Ids for this order item
          items:
            type: string
          nullable: true
          type: array
        data:
          description: Custom data for a given vendor set within the commerce process.
          nullable: true
          type: object
        discountTotal:
          description: >-
            How much the shopper saves with the applied discount or sale price.
            This is a negative number.
          format: double
          nullable: true
          type: number
        discountedTotal:
          description: Subtotal minus any discounts.
          format: double
          nullable: true
          type: number
        dutyAmount:
          description: Indicate Duty Amount for this item.
          format: double
          nullable: true
          type: number
        extendedTotal:
          description: >-
            Line item extended total (quantity multiplied by unit extended
            price) before discounts.
          format: double
          nullable: true
          type: number
        feeTotal:
          description: Not implemented. Total cost of fees that apply to this item.
          format: double
          nullable: true
          type: number
        handlingAmount:
          description: Handling Amount for this item
          format: double
          nullable: true
          type: number
        inventoryTags:
          items:
            $ref: '#/components/schemas/InventoryTags'
          nullable: true
          type: array
        isAssemblyRequired:
          description: Assembly Required for this order item
          type: boolean
        isRecurring:
          description: >-
            If true, the cart item lists a product that can be purchased or
            fulfilled at regular intervals, for example, monthly billing or a
            subscription.
          nullable: true
          type: boolean
        isTaxable:
          description: Not implemented. If true, the cart item is eligible for tax.
          nullable: true
          type: boolean
        itemTaxTotal:
          description: Total price of taxes that apply to products in this item.
          format: double
          nullable: true
          type: number
        lineId:
          description: "The line id assigned to the order item. Visible only in the Admin, this is set from the Admin or\r\nin CommerceRuntime when a cart is converted to an order."
          format: int32
          nullable: true
          type: integer
        lineItemAdjustment:
          format: double
          nullable: true
          type: number
        localeCode:
          description: "Locale code for language that appears in text and descriptions on the site, for example, en_US. \r\nThis is not the currency code. Currently only en_US is supported."
          nullable: true
          type: string
        parentItemId:
          description: Indicates Parent Item Id for this order item
          nullable: true
          type: string
        product:
          $ref: '#/components/schemas/CommerceRuntimeProduct'
        productDiscount:
          $ref: '#/components/schemas/CommerceRuntimeAppliedLineItemProductDiscount'
        productDiscounts:
          description: A list of discounts applied to the product
          items:
            $ref: '#/components/schemas/CommerceRuntimeAppliedLineItemProductDiscount'
          nullable: true
          type: array
        purchaseLocation:
          description: "The location where the product is being purchased.. default is null. Products can have different prices\r\nby purchaseLocation via custom priceListResolution..."
          nullable: true
          type: string
        quantity:
          description: Number of products ordered.
          format: int32
          type: integer
        shippingAmountBeforeDiscountsAndAdjustments:
          description: Shipping amount before Discounts and adjustments
          format: double
          nullable: true
          type: number
        shippingDiscounts:
          description: A discount applied to the shipping
          items:
            $ref: >-
              #/components/schemas/CommerceRuntimeAppliedLineItemShippingDiscount
          nullable: true
          type: array
        shippingTaxTotal:
          description: Total price of taxes that apply to the shipping of this item.
          format: double
          nullable: true
          type: number
        shippingTotal:
          description: Total price of shipping that apply to this item.
          format: double
          nullable: true
          type: number
        substituteInfo:
          $ref: '#/components/schemas/SubstituteInfo'
        subtotal:
          description: Line item subtotal (quantity multiplied by price) before discounts.
          format: double
          nullable: true
          type: number
        taxData:
          description: Storage for any additional/custom tax data.
          nullable: true
          type: object
        taxableTotal:
          description: Line item subtotal (quantity multiplied by price) before discounts.
          format: double
          nullable: true
          type: number
        total:
          description: Total price of this cart item taking into account any discounts.
          format: double
          nullable: true
          type: number
        totalWithWeightedShippingAndHandling:
          description: >-
            Line item total with line item, Tax, Weighted Tax with Weighted
            shipping and handling costs
          format: double
          nullable: true
          type: number
        totalWithoutWeightedShippingAndHandling:
          description: Taxable Subtotal including Weighted Order amounts
          format: double
          nullable: true
          type: number
        unitPrice:
          $ref: '#/components/schemas/CommerceUnitPrice'
        weightedOrderAdjustment:
          description: Order Level Manual Adjustment applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderDiscount:
          description: Order Level Discount applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderDuty:
          description: Order Level Duty applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderHandlingAdjustment:
          description: Order level handling adjusment that applies to this item.
          format: double
          nullable: true
          type: number
        weightedOrderHandlingFee:
          description: Order Level handling fee applied to this item
          format: double
          nullable: true
          type: number
        weightedOrderHandlingFeeDiscount:
          description: Order Level handling fee discount applied to this item
          format: double
          nullable: true
          type: number
        weightedOrderHandlingFeeTax:
          description: Order Level handling fee tax applied to this item
          format: double
          nullable: true
          type: number
        weightedOrderShipping:
          description: Order Level Shipping applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderShippingDiscount:
          description: Order Level Shipping discount applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderShippingManualAdjustment:
          description: Order Level Shipping Manual Adjustment applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderShippingTax:
          description: Order Level Shipping Tax applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderTax:
          description: Order Level tax applied to this Item
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeDeliveryWindow:
      properties:
        endTime:
          description: End time for delivery window.
          format: date-time
          type: string
        startTime:
          description: Start time for delivery window.
          format: date-time
          type: string
      type: object
    GiftInfo:
      properties:
        giftMessage:
          description: Item level gift message
          nullable: true
          type: string
        isGiftItem:
          description: Flag to indicate whether the item is a gift item
          nullable: true
          type: boolean
      type: object
    ReturnRuleInfo:
      properties:
        isReturnable:
          description: Indicate product is returnable or not
          nullable: true
          type: boolean
        maxDays:
          description: Return window within which an item can be returned
          format: int32
          nullable: true
          type: integer
        maxQty:
          description: Maximum quantity that can be returned
          format: int32
          nullable: true
          type: integer
        ruleCode:
          description: Return rule code which is applied
          nullable: true
          type: string
      type: object
    SubscriptionInfo:
      properties:
        frequency:
          $ref: '#/components/schemas/Frequency'
        required:
          description: Indicates commerce item is subscribed or not.
          nullable: true
          type: boolean
        trial:
          $ref: '#/components/schemas/Trial'
      type: object
    Suggestion:
      properties:
        futureDate:
          description: Used for future inventory suggestions.
          format: date-time
          nullable: true
          type: string
        locationCode:
          description: Location Code
          nullable: true
          type: string
        productCode:
          description: Unique identifier for the product.
          nullable: true
          type: string
        quantity:
          description: Quantity
          format: int32
          type: integer
        suggestionType:
          description: Indicate whether suggestion is Transfer or Future.
          nullable: true
          type: string
        transferToLocationCode:
          description: >-
            Used in STH Consolidation, to indicate consolidation location on
            Transfer suggestion.
          nullable: true
          type: string
      type: object
    AuditRecordChangeField:
      description: This will contains actual change in the AuditHistory.
      properties:
        name:
          description: Field/Property name which got Modified.
          nullable: true
          type: string
        newValue:
          description: Newly updated value of the field.
          nullable: true
          type: string
        oldValue:
          description: Old value of the field.
          nullable: true
          type: string
      type: object
    CommerceRuntimeAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        address3:
          nullable: true
          type: string
        address4:
          nullable: true
          type: string
        addressType:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        countryCode:
          nullable: true
          type: string
        isValidated:
          nullable: true
          type: boolean
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
    CommerceRuntimePhone:
      properties:
        home:
          nullable: true
          type: string
        mobile:
          nullable: true
          type: string
        work:
          nullable: true
          type: string
      type: object
    InventoryTags:
      properties:
        name:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    CommerceRuntimeProduct:
      allOf:
        - $ref: '#/components/schemas/ProductBase'
      description: The product as it appears on the order item.
      properties:
        bundledProducts:
          description: >-
            Products bundled with this product (if the current product is a
            bundle)
          items:
            $ref: '#/components/schemas/CommerceRuntimeBundledProduct'
          nullable: true
          type: array
        categories:
          description: Categories to which this product belongs.
          items:
            $ref: '#/components/schemas/CommerceRuntimeCategory'
          nullable: true
          type: array
        condition:
          description: Condition
          nullable: true
          type: string
        discountsRestricted:
          description: Is the product discount restricted
          nullable: true
          type: boolean
        discountsRestrictedEndDate:
          description: Product discount restriction end date
          format: date-time
          nullable: true
          type: string
        discountsRestrictedStartDate:
          description: Product discount restriction start date
          format: date-time
          nullable: true
          type: string
        fulfillmentFields:
          description: List of unique product identifiers for an item on shipment
          items:
            $ref: '#/components/schemas/CommerceRuntimeFulfillmentField'
          nullable: true
          type: array
        fulfillmentTypesSupported:
          description: Types of fulfillment that are supported for this product.
          items:
            type: string
          nullable: true
          type: array
        imageAlternateText:
          description: >-
            Descriptive text of the image associated with the product in the
            language specified by LocaleCode.
          nullable: true
          type: string
        imageUrl:
          description: >-
            URL of the image that appears next to the product on the order item.
            Optional.
          nullable: true
          type: string
        isRecurring:
          description: >-
            If true, the product is purchased or fulfilled at regular intervals,
            for example, a monthly billing or a subscription.
          nullable: true
          type: boolean
        isTaxable:
          description: If true, the product is eligible for tax.
          nullable: true
          type: boolean
        mfgPartNumber:
          description: Manufacturing Part Number of the product.
          nullable: true
          type: string
        options:
          description: >-
            If the product contains configurable or stand-alone options, the
            list of product options that the shopper selected for this product.
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductOption'
          nullable: true
          type: array
        price:
          $ref: '#/components/schemas/CommerceRuntimeProductPrice'
        productType:
          description: >-
            Type of product, which can be a product with configurable options, a
            product with stand-alone options, or a simple product with no
            options.
          nullable: true
          type: string
        productUsage:
          description: >-
            Usage of the product, primarily used to indicate a bundle in this
            context
          nullable: true
          type: string
        properties:
          description: >-
            If the product contains properties, the list of properties that the
            shopper selected for this product.
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductProperty'
          nullable: true
          type: array
        serialNumber:
          description: Serial Number
          nullable: true
          type: string
        sku:
          description: Product Identifier specific to the store
          nullable: true
          type: string
        upc:
          description: Universal Product Code of the product.
          nullable: true
          type: string
        variationProductCode:
          description: >-
            For configurable products, the unique identifier of the product
            variation that has been selected.
          nullable: true
          type: string
      type: object
    CommerceRuntimeAppliedLineItemProductDiscount:
      allOf:
        - $ref: '#/components/schemas/CommerceRuntimeAppliedProductDiscount'
      properties:
        appliesToSalePrice:
          description: Determines if the discount applies to the sale price of the order
          nullable: true
          type: boolean
        discountQuantity:
          description: >-
            The number of the line item that can be used for this particular
            discount.
          format: int32
          type: integer
      type: object
    CommerceRuntimeAppliedLineItemShippingDiscount:
      allOf:
        - $ref: '#/components/schemas/ShippingDiscount'
      properties:
        discount:
          $ref: '#/components/schemas/CommerceRuntimeAppliedDiscount'
        discountQuantity:
          description: >-
            The number of the line item that can be used for this particular
            discount.
          format: int32
          type: integer
        impactPerUnit:
          description: The impact of this discount pur discount quantity.
          format: double
          type: number
        methodCode:
          description: Unique identifier of the shipping method discount.
          nullable: true
          type: string
      type: object
    SubstituteInfo:
      properties:
        optIn:
          description: >-
            Determines if and when substitution is allowed. Allowed values are
            `None`, `Yes`, `No`, or `OnlyAtFulfillment`. Default is `None`.
          nullable: true
          type: string
        substituteProductCode:
          description: >-
            Allows user to provide a specific product that should be substituted
            if substitution occurs.
          nullable: true
          type: string
        substituteVariantCode:
          description: >-
            Allows user to provide a specific variant that should be substituted
            if substitution occurs.
          nullable: true
          type: string
      type: object
    CommerceUnitPrice:
      description: >-
        Pricing details for the product listed on a cart item, including the
        original price, discount amount, and final price.
      properties:
        extendedAmount:
          description: >-
            Extended amount, this is in order of precedence: OverrideAmount,
            SaleAmount, ListAmount
          format: double
          nullable: true
          type: number
        listAmount:
          description: Product list amount.
          format: double
          nullable: true
          type: number
        overrideAmount:
          description: Amount as manually overridden by the Merchant
          format: double
          nullable: true
          type: number
        saleAmount:
          description: Sale amount indicated on the product.
          format: double
          nullable: true
          type: number
      type: object
    Frequency:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: int32
          type: integer
      type: object
    Trial:
      properties:
        duration:
          description: Trial duration in days
          format: int32
          type: integer
        enabled:
          description: Indicates if the trial is enabled
          type: boolean
        substituteProductCode:
          description: Product code to substitute once the trial period is finished.
          nullable: true
          type: string
        substituteProductOptions:
          description: >-
            Configurable Options to substitute once the trial period is
            finished.
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductOption'
          nullable: true
          type: array
        substituteProductQuantity:
          description: Product quantity to substitute once the trail period is finished.
          format: int32
          type: integer
        substituteVariationProductCode:
          description: >-
            Variation product code to substitute once the trail period is
            finished.
          nullable: true
          type: string
      type: object
    ProductBase:
      properties:
        allocationExpiration:
          description: Allocation ID associated with this product on this order.
          format: date-time
          nullable: true
          type: string
        allocationId:
          description: Allocation ID associated with this product on this order.
          format: int32
          nullable: true
          type: integer
        description:
          description: >-
            Short description of the product in the language specified by
            LocaleCode.
          nullable: true
          type: string
        fulfillmentStatus:
          description: Fulfillment status of the product.
          nullable: true
          type: string
        goodsType:
          description: Goods Type
          nullable: true
          type: string
        isPackagedStandAlone:
          description: Indicates that this product ships by itself.
          type: boolean
        measurements:
          $ref: '#/components/schemas/CommerceRuntimePackageMeasurements'
        name:
          description: >-
            Name of the product, this is the current value of the product's name
            in the language specified by LocaleCode.
          nullable: true
          type: string
        productCode:
          description: Merchant-created code that uniquely identifies the product.
          nullable: true
          type: string
        productReservationId:
          description: Reservation ID associated with this product in the bundle.
          format: int32
          nullable: true
          type: integer
        stock:
          $ref: '#/components/schemas/ProductStock'
      type: object
    CommerceRuntimeBundledProduct:
      allOf:
        - $ref: '#/components/schemas/ProductBase'
      description: Describes products that are bundled inside of a main bundle product.
      properties:
        creditValue:
          description: >-
            Credit value.  Only populated if the bundled product is a gift card
            or digital credit
          format: double
          nullable: true
          type: number
        deltaPrice:
          description: Only populated for extras
          format: double
          nullable: true
          type: number
        imageUrl:
          description: ImageUrl of product
          nullable: true
          type: string
        optionAttributeFQN:
          description: Fully Qualified Name of the selected option's attribute
          nullable: true
          type: string
        optionValue:
          description: Value of the selected option
          nullable: true
        quantity:
          description: Quantity of the product included in the bundle.
          format: int32
          type: integer
      type: object
    CommerceRuntimeCategory:
      description: >-
        Categories to which the product belongs. Discounts can apply to
        categories where any product in the category is discounted.
      properties:
        id:
          description: Unique identifier of the category. System-supplied and read-only.
          format: int32
          nullable: true
          type: integer
        parent:
          type: object
      type: object
    CommerceRuntimeFulfillmentField:
      properties:
        name:
          nullable: true
          type: string
        required:
          type: boolean
        userEnteredValue:
          nullable: true
      type: object
    CommerceRuntimeProductOption:
      description: "Product option for the product listed on this order item. If the product contains \r\nconfigurable or stand-alone options, this is a product option that the shopper has selected."
      properties:
        attributeFQN:
          description: Value of the product option.
          nullable: true
          type: string
        dataType:
          description: Value of the product option.
          nullable: true
          type: string
        name:
          description: >-
            Name of the product option that appears with the order item in the
            language specified by LocaleCode.
          nullable: true
          type: string
        shopperEnteredValue:
          description: >-
            The value entered by the shopper if this is an option that requires
            shopper input, for example, a monogram.
          nullable: true
        stringValue:
          description: Value of the product option.
          nullable: true
          type: string
        value:
          description: Value of the product option.
          nullable: true
      type: object
    CommerceRuntimeProductPrice:
      description: Price of the product with any sale and discounts applied.
      properties:
        creditValue:
          description: >-
            Credit Value when the product happens to be a gift card or similar
            product
          format: double
          nullable: true
          type: number
        isOverRidePriceSalePrice:
          description: >-
            Indicate that External Price (TenantOverridePrice) is a Sale Price.
            And is used to calculate the line item discounts.
          nullable: true
          type: boolean
        msrp:
          description: MSRP of product.
          format: double
          nullable: true
          type: number
        price:
          description: >-
            Price of the product. This is the price that the merchant intends to
            sell the product if no sale price is present.
          format: double
          nullable: true
          type: number
        priceListCode:
          description: Pricelist code for the product
          nullable: true
          type: string
        priceListEntryMode:
          description: "Pricelist entry mode of the product.\r\nNote: possible values are below\r\n1. null : Product doesn't participate in pricelist\r\n2. Bulk : Bulk volume price available(unit price vary based on quantity)\r\n3. Simple:"
          nullable: true
          type: string
        salePrice:
          description: >-
            Current sale price of the product, which is a specific numerical
            amount (not a percentage off).
          format: double
          nullable: true
          type: number
        tenantOverridePrice:
          description: An override price applied on the product by the tenant.
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeProductProperty:
      properties:
        attributeFQN:
          nullable: true
          type: string
        dataType:
          nullable: true
          type: string
        isMultiValue:
          type: boolean
        name:
          nullable: true
          type: string
        values:
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductPropertyValue'
          nullable: true
          type: array
      type: object
    CommerceRuntimeAppliedProductDiscount:
      allOf:
        - $ref: '#/components/schemas/CommerceRuntimeAppliedDiscount'
      description: Details of the discount applied to a product.
      properties:
        appliesToSalePrice:
          description: Determines if the discount applies to the sale price of the order
          nullable: true
          type: boolean
        impactPerUnit:
          deprecated: true
          description: >-
            Impact for a quantity of one product; that is, the value of the
            discount for one product.
          format: double
          nullable: true
          type: number
        productQuantity:
          deprecated: true
          description: >-
            Quantity of products priced. This is always one unless calculating
            pricing on the order or cart.
          format: int32
          nullable: true
          type: integer
      type: object
    CommerceRuntimePackageMeasurements:
      description: >-
        Physical dimensions of the package required to ship the product and its
        weight.
      properties:
        height:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        length:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        weight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        width:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
      type: object
    ProductStock:
      properties:
        aggregateInventory:
          format: int32
          nullable: true
          type: integer
        availableDate:
          format: date-time
          nullable: true
          type: string
        availableFutureInventories:
          format: int32
          readOnly: true
          type: integer
        futureInventories:
          items:
            $ref: '#/components/schemas/CommerceRuntimeFutureInventory'
          nullable: true
          type: array
        isOnBackOrder:
          type: boolean
        isSubstitutable:
          nullable: true
          type: boolean
        manageStock:
          type: boolean
        stockAvailable:
          format: int32
          nullable: true
          type: integer
        totalAvailableStock:
          format: int32
          readOnly: true
          type: integer
      type: object
    CommerceRuntimeProductPropertyValue:
      properties:
        stringValue:
          nullable: true
          type: string
        value:
          nullable: true
      type: object
    CommerceRuntimeMeasurement:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeFutureInventory:
      properties:
        allocated:
          format: int32
          nullable: true
          type: integer
        available:
          format: int32
          nullable: true
          type: integer
        createDate:
          format: date-time
          nullable: true
          type: string
        deliveryDate:
          format: date-time
          nullable: true
          type: string
        futureInventoryID:
          format: int32
          nullable: true
          type: integer
        onhand:
          format: int32
          nullable: true
          type: integer
        pending:
          format: int32
          nullable: true
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````